Bug 27958 - Dolphin and some QT (Kate) apps complain : kdeinit5[PID NUMBER]: Qt: Session management error: networkIdsList argument is NULL
Summary: Dolphin and some QT (Kate) apps complain : kdeinit5[PID NUMBER]: Qt: Session ...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal normal
Target Milestone: Mageia 8
Assignee: KDE maintainers
QA Contact:
URL: https://bugs.kde.org/show_bug.cgi?id=...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-28 11:55 CET by Aurelien Oudelet
Modified: 2021-01-28 10:11 CET (History)
2 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments
qt log (888 bytes, application/octet-stream)
2020-12-28 11:55 CET, Aurelien Oudelet
Details

Description Aurelien Oudelet 2020-12-28 11:55:59 CET
Created attachment 12162 [details]
qt log

When opening Dolphin 20.12.0 under Plasma 5.20.4 (KF 5.76) there are these spurious error logging:
déc. 27 15:24:12 mageia.local systemd[2153]: Started Dolphin - Gestionnaire de fichiers.
déc. 27 15:24:13 mageia.local dolphin[23830]: kf.kio.core: Invalid URL: QUrl("")
déc. 27 15:24:13 mageia.local dolphin[23830]: kf.kio.core: Invalid URL: QUrl("")
déc. 27 15:24:13 mageia.local kdeinit5[23849]: Qt: Session management error: networkIdsList argument is NULL
déc. 27 15:24:19 mageia.local kdeinit5[23870]: Qt: Session management error: networkIdsList argument is NULL

upstream Nate Graham says these ones:
dolphin[23830]: kf.kio.core: Invalid URL: QUrl("")

are fixed in KDE Frameworks 5.77.

Also, the 'Qt: Session management error: networkIdsList argument is NULL'
are not reproduced on his system.
But, it not only Dolphi, it is all qt app that can produce these error.
See:
# journalctl -b | grep 'Qt: Session management error: networkIdsList argument is NULL' > ./qt-mgmt.log attached.

Is there an obscure env setting not set?

This is reproduced on all my M8 Plasma desktops. (Installed from Beta 2 Iso Classic, Plasma preset in DrakX, user newly created, not migrated from a previous install).

Assigning to KDE maintainers and CC'd commiter.
Comment 1 Aurelien Oudelet 2020-12-28 11:56:27 CET
Not sure what SRPM to add.
Comment 2 Nicolas Lécureuil 2021-01-08 15:24:37 CET
seems fixed by latest plasma changes we added. 

Can you confirm ?

CC: (none) => mageia

Comment 3 Aurelien Oudelet 2021-01-08 15:32:27 CET
These are still here.
Comment 4 David GEIGER 2021-01-26 14:40:16 CET
Should be fixed with dolphin-20.12.0-5.mga8! for kf.kio.core: Invalid URL: QUrl("") warnings
Comment 5 Aurelien Oudelet 2021-01-26 16:12:52 CET
(In reply to David GEIGER from comment #4)
> Should be fixed with dolphin-20.12.0-5.mga8! for kf.kio.core: Invalid URL:
> QUrl("") warnings

Yeah, this is fixed. Good.
I do see (with Dolphin and Kate)
mageia.local kdeinit5[23870]: Qt: Session management error: networkIdsList argument is NULL

But, which one does it trigger that?

Renaming this BR, if you want.

Summary: Dolphin 20.12.0 spurious error logging when opening Dolphin => Dolphin and some QT (Kate) apps complain : kdeinit5[PID NUMBER]: Qt: Session management error: networkIdsList argument is NULL

Comment 6 David GEIGER 2021-01-26 17:59:21 CET
You might have an old config file in your system because here on my fresh install I get:

$ dolphin
$

No more warnings!
Comment 7 Aurelien Oudelet 2021-01-26 22:07:57 CET
I will leave this open until RC is out and I will wipe my system to make sure it is.
Comment 8 Aurelien Oudelet 2021-01-28 10:11:38 CET
I wiped all my /home/aurelien/ directory and installed the last take 3 RC1 with x86_64 ISO and selected Plasma on the Installer screen without selecting other packages. All is default presets from the installer.

I do see:
systemd[2333]: Started Dolphin - Gestionnaire de fichiers.
kdeinit5[5161]: Qt: Session management error: networkIdsList argument is NULL

Also with Kate, Spectacle...

Note that the Classic Installer default preset is to install task-plasma5-minimal and not the full task-plasma...

I will test this with the Live ISO to make sure there not a missing package somewhere...

Note You need to log in before you can comment on or make changes to this bug.